% Simulated heart rate signal (Replace this with your actual signal)
Fs = 1000; % Sampling frequency
t = 0:1/Fs:5; % Time vector
heart_rate = sin(2*pi*1*t) + 0.5*sin(2*pi*2.5*t); % Simulated heart rate signal
% Filter the signal (You might need to adjust the filter parameters)
[b, a] = butter(4, [0.5 40]/(Fs/2), 'bandpass'); % Design a bandpass filter
filtered_signal = filter(b, a, heart_rate);
% Find peaks (R-wave detection)
[peaks, locations] = findpeaks(filtered_signal, 'MinPeakHeight', 0.5, 'MinPeakDistance', 100);
% Plotting
figure;
subplot(2,1,1);
plot(t, heart_rate);
title('Original Heart Rate Signal');
xlabel('Time');ylabel('Amplitude');
subplot(2,1,2);
plot(t, filtered_signal);
hold on;
plot(locations/Fs, peaks, 'ro', 'MarkerSize', 8);
title('Filtered Signal with Detected Peaks');
xlabel('Time');
ylabel('Amplitude');
% Display heart rate
heart_rate_bpm = 60 / mean(diff(locations / Fs));
fprintf('Detected heart rate: %.2f BPM\n', heart_rate_bpm);
