% Generate a random signal
fs = 1000; % Sampling frequency (Hz)
t = 0:1/fs:1; % Time vector
signal = sin(2*pi*50*t) + sin(2*pi*120*t) + randn(size(t));
% Perform spectral analysis using the Welch method
window = hamming(256); % Window function
noverlap = 128; % Number of overlapping samples
nfft = 1024; % Number of FFT points
[psd, freq] = pwelch(signal, window, noverlap, nfft, fs);
% Plot the power spectral density
plot(freq, 10*log10(psd));
xlabel('Frequency (Hz)');
ylabel('Power Spectral Density (dB/Hz)');
title('Power Spectral Density using Welch Method');
grid on;