% Time-variant signal: x(t) = sin(t)
t = linspace(0, 2*pi, 100); % Time vector
x_time_variant = sin(t);
% Time-invariant signal: y(t) = sin(2*t)
y_time_invariant = sin(2*t);
% Time-shifted version of y(t): y(t - t0), where t0 = pi/4
t0 = pi/4;
y_time_shifted = sin(2*(t - t0));
% Plot the signals
figure;
subplot(3,1,1);
plot(t, x_time_variant, 'b');
title('Time-Variant Signal: x(t) = sin(t)');
xlabel('Time (t)');
ylabel('Amplitude');
subplot(3,1,2);
plot(t, y_time_invariant, 'r');
title('Time-Invariant Signal: y(t) = sin(2*t)');
xlabel('Time (t)');
ylabel('Amplitude');
subplot(3,1,3);
plot(t, y_time_shifted, 'g');
title('Time-Shifted Time-Invariant Signal: y(t - t0)');
xlabel('Time (t)');
ylabel('Amplitude');
title('Time-Variant and Time-Invariant Signals');
% Display time variance or invariance
disp('Check for time variance and invariance:');
if isequal(y_time_invariant, y_time_shifted)
disp('y(t) is time-invariant.');
else
disp('y(t) is time-variant.');
end